

package gov.va.med.cds.integration;


import gov.va.med.cds.exceptionframework.LoggingSeverity;
import gov.va.med.cds.vdm.ClinicalDataInterface;


public interface ErrorSectionCheckerInterface
{
    void assertHasFatalErrors( ClinicalDataInterface vdmClinicalData );


    void assertNoErrors( ClinicalDataInterface vdmClinicalData );


    void assertErrors( ClinicalDataInterface vdmClinicalData, LoggingSeverity serverity, int count );
}
